OpenVDB: openvdb::v5_2::points::point_move_internal Namespace Reference

OpenVDB 5.2.0

Classes | Typedefs | Functions
openvdb::v5_2::points::point_move_internal Namespace Reference

## Classes
struct | ArrayProcessor
| Helper class used internally by processTypedArray() More...
struct | AttributeHandles
| Cache read and write attribute handles to amortize construction cost. More...
struct | BuildMoveMapsOp
struct | GlobalMovePointsOp
struct | LocalMovePointsOp

## Typedefs
using | IndexTriple = std::tuple< Index, Index, Index >
using | IndexTripleArray = tbb::concurrent_vector< IndexTriple >
using | GlobalPointIndexMap = std::vector< IndexTripleArray >
using | IndexPair = std::pair< Index, Index >
using | IndexPairArray = std::vector< IndexPair >
using | LocalPointIndexMap = std::vector< IndexPairArray >
using | IndexArray = std::vector< Index >
using | OffsetMap = std::vector< IndexArray >

## Functions
template<typename ArrayType , typename OpType >
bool | processTypedArray (const ArrayType &array, OpType &op)
| Utility function that, given a generic attribute array, calls a functor with the fully-resolved value type of the array. More...
template<typename LeafT >
Index | indexOffsetFromVoxel (const Index voxelOffset, const LeafT &leaf, IndexArray &offsets)

## Typedef Documentation

## ◆ GlobalPointIndexMap

using GlobalPointIndexMap = std::vector<IndexTripleArray>

## ◆ IndexArray

using IndexArray = std::vector<Index>

## ◆ IndexPair

using IndexPair = std::pair<Index, Index>

## ◆ IndexPairArray

using IndexPairArray = std::vector<IndexPair>

## ◆ IndexTriple

using IndexTriple = std::tuple<Index, Index, Index>

## ◆ IndexTripleArray

using IndexTripleArray = tbb::concurrent_vector<IndexTriple>

## ◆ LocalPointIndexMap

using LocalPointIndexMap = std::vector<IndexPairArray>

## ◆ OffsetMap

using OffsetMap = std::vector<IndexArray>

## Function Documentation

## ◆ indexOffsetFromVoxel()

Index openvdb::v5_2::points::point_move_internal::indexOffsetFromVoxel | ( | const Index | voxelOffset,
|  | const LeafT & | leaf,
|  | IndexArray & | offsets
| ) |  |
| inline

## ◆ processTypedArray()

bool openvdb::v5_2::points::point_move_internal::processTypedArray | ( | const ArrayType & | array,
|  | OpType & | op
| ) |  |

Utility function that, given a generic attribute array, calls a functor with the fully-resolved value type of the array.